Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 12671)
+++ /trunk/language/en_UK/admin.lang.php	(revision 12672)
@@ -77,7 +77,13 @@
 $lang['%s has been successfully updated.'] = "%s has been successfully updated.";
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s must be set to false in your local/config/config.inc.php file";
+$lang['%s photos can not be regenerated'] = '%s photos can not be regenerated';
+$lang['%s photos have been regenerated'] = '%s photos have been regenerated';
+$lang['%s thumbnails can not be regenerated'] = '%s thumbnails can not be regenerated';
+$lang['%s thumbnails have been regenerated'] = '%s thumbnails have been regenerated';
 $lang['%s value is not correct file because exif are not supported'] = "%s value is incorrect because exif are not supported";
+$lang['(this tag will be deleted)'] = '(this tag will be deleted)';
 $lang['+ Add an upload box'] = '+ Add an upload box';
 $lang[', click on'] = ", click on";
+$lang['... or '] = '... or ';
 $lang['A local listing.xml file has been found for'] = "A local listing.xml file has been found for";
 $lang['A new version of Piwigo is available.'] = "A new version of Piwigo is available.";
@@ -94,8 +100,8 @@
 $lang['Activate field "%s"'] = 'Activate field "%s"';
 $lang['Activate icon "%s"'] = 'Activate icon "%s"';
+$lang['Activate icon "new" next to albums and pictures'] = 'Activate icon "new" next to albums and pictures';
 $lang['Activate Navigation Bar'] = 'Activate navigation bar';
 $lang['Activate Navigation Thumbnails'] = 'Activate navigation thumbnails';
 $lang['Activate'] = "Activate";
-$lang['Activate icon "new" next to albums and pictures'] = 'Activate icon "new" next to albums and pictures';
 $lang['Active Languages'] = 'Active Languages';
 $lang['Active Plugins'] = 'Active Plugins';
@@ -113,4 +119,6 @@
 $lang['Add New Theme'] = "Add a new theme";
 $lang['Add Photos'] = 'Add Photos';
+$lang['Add tags'] = 'Add tags';
+$lang['Add to caddie'] = "Add to caddie";
 $lang['Add write access to the "%s" directory'] = 'Add write access to the "%s" directory';
 $lang['Add'] = "Add";
@@ -121,8 +129,8 @@
 $lang['Album "%s" has been added'] = 'Album "%s" has been added';
 $lang['Album "%s" now contains %d photos'] = 'Album "%s" now contains %d photos';
-$lang['Album photos associated to the following albums: %s'] = "Album photos associated to the following albums: %s";
 $lang['Album list management'] = "Album list management";
 $lang['Album manual order was saved'] = "Album manual order was saved";
 $lang['Album name'] = 'Album name';
+$lang['Album photos associated to the following albums: %s'] = "Album photos associated to the following albums: %s";
 $lang['Album updated successfully'] = "Album updated successfully";
 $lang['albums added in the database'] = "albums added in the database";
@@ -131,5 +139,9 @@
 $lang['albums deleted in the database'] = "albums deleted in the database";
 $lang['All %d photos are selected'] = 'All %d photos are selected';
+$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+$lang['All languages are up to date.'] = 'All languages are up to date.';
 $lang['All optimizations have been successfully completed.'] = "All optimizations have been successfully completed.";
+$lang['All plugins are up to date.'] = 'All plugins are up to date.';
+$lang['All themes are up to date.'] = 'All themes are up to date.';
 $lang['all'] = "all";
 $lang['Allow rating'] = "Allow rating";
@@ -138,5 +150,8 @@
 $lang['Allow users to delete their own comments'] = "Allow users to delete their own comments";
 $lang['Allow users to edit their own comments'] = "Allow users to edit their own comments";
+$lang['Allowed file types: %s.'] = 'Allowed file types: %s.';
 $lang['an error happened'] = "an error occurred";
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.';
+$lang['An error has occured during upgrade.'] = 'An error has occured during upgrade.';
 $lang['An error occured during extraction (%s).'] = "An error occured during the files (%s) extraction.";
 $lang['An information email was sent to group "%s"'] = "Information email sent to group \"%s\"";
@@ -147,4 +162,5 @@
 $lang['Apply selected corrections'] = "Apply selected corrections";
 $lang['Apply to sub-albums'] = "Apply to sub-albums";
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = "Are you sure you want to install this upgrade? You must verify if this version does not need prior uninstallation.";
 $lang['Are you sure you want to delete this plugin?'] = "Are you sure you want to delete this plugin?";
@@ -165,4 +181,5 @@
 $lang['Bound Theme'] = 'Bound Theme';
 $lang['By %s'] = 'By %s';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'By default, Piwigo will create a new websize from the HD (high definition) version of your photo.';
 $lang['By rank'] = 'By rank';
 $lang['Caddie management'] = "Caddie management";
@@ -187,6 +204,6 @@
 $lang['Comments'] = "Comments";
 $lang['Complementary mail content'] = "Complementary mail content";
-$lang['Complementary mail content'] = "Complementary mail content";
 $lang['Configuration'] = "Configuration";
+$lang['Confirm merge'] = 'Confirm merge';
 $lang['confirm'] = "confirm";
 $lang['Continue processing treatment'] = "Continue ongoing treatment";
@@ -199,5 +216,7 @@
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Create the "%s" directory at the root of your Piwigo installation';
 $lang['Create this site'] = "Create this site";
+$lang['Create'] = 'Create';
 $lang['created'] = "created";
+$lang['Crop'] = 'Crop';
 $lang['Current name'] = "Current name";
 $lang['Database synchronization with files'] = "Database synchronization with files";
@@ -205,6 +224,6 @@
 $lang['Date'] = "Date";
 $lang['Day'] = "Day";
+$lang['Deactivate all'] = "Deactivate all";
 $lang['Deactivate'] = "Deactivate";
-$lang['Deactivate all'] = "Deactivate all";
 $lang['Default display'] = "Default display";
 $lang['Default photos order'] = "Default photos order";
@@ -223,5 +242,4 @@
 $lang['delete this site and all its attached elements'] = "delete this site and all the related information";
 $lang['Delete this theme'] = 'Delete this theme';
-$lang['Delete'] = "Delete";
 $lang['delete'] = "delete";
 $lang['Deleted on'] = "Deleted on";
@@ -238,7 +256,9 @@
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = "display maximum information (added albums and photos, deleted albums and photos)";
 $lang['Display options'] = "Display options";
+$lang['display'] = 'display';
 $lang['Dissociate from album'] = "Dissociate from album";
 $lang['dissociate from group'] = "dissociate from group";
 $lang['Dissociated'] = "Dissociated";
+$lang['Do you want to activate anyway?'] = 'Do you want to activate anyway?';
 $lang['Documentation'] = "Documentation";
 $lang['Does not represent'] = "Is not thumbnail for";
@@ -248,6 +268,6 @@
 $lang['Drag to re-order'] = "Click-and-drag to re-order";
 $lang['Drop into album'] = 'Select an album';
+$lang['Dump Database'] = 'Dump Database';
 $lang['duplicates'] = 'duplicates';
-$lang['Edit'] = 'Edit';
 $lang['Edit album permissions'] = "Edit album permissions";
 $lang['edit album permissions'] = "edit album permissions";
@@ -258,7 +278,7 @@
 $lang['Edit selected tags'] = "Edit selected tags";
 $lang['Edit tags'] = "Edit tags";
+$lang['Edit'] = 'Edit';
 $lang['Element type'] = "Element type";
 $lang['Element'] = "Element";
-$lang['photos informations synchronized with files metadata'] = "photos informations synchronized with files metadata";
 $lang['Email administrators when a comment is deleted'] = "Email administrators when a comment is deleted";
 $lang['Email administrators when a comment is modified'] = "Email administrators when a comment is modified";
@@ -271,4 +291,6 @@
 $lang['Error on file "%s" : %s'] = 'Error on file "%s" : %s';
 $lang['Error when sending email to %s [%s].'] = "Error when sending email to %s [%s].";
+$lang['ERROR'] = 'ERROR';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.';
 $lang['Errors caption'] = "Errors legends";
 $lang['errors during synchronization'] = "errors during synchronization";
@@ -280,4 +302,5 @@
 $lang['existing album'] = 'existing album';
 $lang['Extend for templates'] = "Extend templates";
+$lang['Extensions Update'] = 'Extensions Update';
 $lang['Failed to write file to disk'] = 'Failed to write file to disk';
 $lang['file create_listing_file.php on remote site was not found'] = "file create_listing_file.php not found on the remote site";
@@ -288,4 +311,7 @@
 $lang['Find a new representant by random'] = "Find a new random album thumbnail";
 $lang['first photo added on %s'] = "first photo added on %s";
+$lang['Follow Orientation'] = 'Follow Orientation';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Following plugins may not be compatible with the new version of Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Following themes may not be compatible with the new version of Piwigo:';
 $lang['for the file format'] = "for the file format";
 $lang['for this file format'] = "for this file format";
@@ -309,4 +335,5 @@
 $lang['Grant selected groups'] = "Grant selected groups";
 $lang['Grant selected users'] = "Grant selected users";
+$lang['Graphics Library'] = 'Graphics Library';
 $lang['group "%s" added'] = "group \"%s\" added";
 $lang['group "%s" deleted'] = "group \"%s\" deleted";
@@ -314,6 +341,6 @@
 $lang['Group management'] = "Groups management";
 $lang['Group name'] = "Group name";
+$lang['Group'] = "Group";
 $lang['group'] = "group";
-$lang['Group'] = "Group";
 $lang['Groups'] = "Groups";
 $lang['Guest cannot be deleted'] = "Guest cannot be deleted";
@@ -322,12 +349,14 @@
 $lang['Guests'] = "Guests";
 $lang['height must be a number superior to'] = "height must be a number greater than";
+$lang['Height'] = 'Height';
 $lang['Hello'] = "Hello";
 $lang['Hello,'] = "Hello,";
 $lang['Help Me'] = 'Help Me';
+$lang['hide details'] = 'hide details';
 $lang['Hide'] = "Hide";
 $lang['High definition enabled'] = "High definition enabled";
 $lang['High definition'] = "High definition";
+$lang['High dimensions'] = 'High resolution dimensions';
 $lang['High filesize'] = "High resolution filesize";
-$lang['High dimensions'] = 'High resolution dimensions';
 $lang['high'] = "high";
 $lang['History'] = "History";
@@ -335,6 +364,11 @@
 $lang['Hour'] = "Hour";
 $lang['Hoverbox display'] = "Hoverbox display";
+$lang['I decide to update anyway'] = 'I decide to update anyway';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.';
 $lang['If you encounter problems or have any question, please send a message to'] = "If you encounter problems or have any question, please send a message to";
+$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.';
+$lang['Ignore All'] = 'Ignore All';
 $lang['Ignore selected anomalies'] = "Ignore selected anomalies";
+$lang['Ignore this update'] = 'Ignore this update';
 $lang['Image id'] = "Image id";
 $lang['Image Quality'] = 'Image quality';
@@ -352,4 +386,5 @@
 $lang['include child albums'] = 'include child albums';
 $lang['Include display of recent photos grouped by dates'] = "Include display of recent photos grouped by dates";
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Include history data (Warning: server memory limit may be exceeded)';
 $lang['Information data registered in database'] = "Information data registered in database";
 $lang['Informations'] = "Information";
@@ -366,8 +401,11 @@
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = "Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will be sent emails when a new release is available (sometimes including a security bug fix, it is important to know and upgrade) and when major events happen to the project. Only a few emails a year.";
 $lang['Language has been successfully installed'] = 'Language has been successfully installed';
+$lang['Languages which need upgrade'] = 'Languages which need upgrade';
 $lang['Languages'] = 'Languages';
 $lang['Last hit'] = "Last hit";
+$lang['Last import'] = 'Last import';
 $lang['Last revisions'] = "Last revisions";
 $lang['Last send'] = "Last sent";
+$lang['Learn more'] = 'Learn more';
 $lang['leave'] = "leave";
 $lang['Level 0'] = "---";
@@ -402,6 +440,7 @@
 $lang['Manage permissions for group "%s"'] = "Manage permissions for the group \"%s\"";
 $lang['Manage permissions for user "%s"'] = "Manage permissions for the user \"%s\"";
+$lang['Manage Permissions'] = 'Manage Permissions';
+$lang['manage photo ranks'] = "manage photo ranks";
 $lang['Manage photo ranks'] = "Manage photo ranks";
-$lang['manage photo ranks'] = "manage photo ranks";
 $lang['manage sub-albums'] = "manage sub-albums";
 $lang['Manage tags'] = "Manage tags";
@@ -411,4 +450,5 @@
 $lang['manual order'] = 'manual order';
 $lang['max time'] = "max time";
+$lang['Maximum file size: %sB.'] = 'Maximum file size: %sB.';
 $lang['maximum height'] = "Maximum height";
 $lang['Maximum Height'] = 'Maximum height';
@@ -417,4 +457,6 @@
 $lang['Members'] = "Members";
 $lang['Menu Management'] = 'Menus';
+$lang['Merge selected tags'] = 'Merge selected tags';
+$lang['Merge tags'] = 'Merge tags';
 $lang['Metadata synchronization results'] = "Metadata synchronization results";
 $lang['Metadata synchronized from file'] = "Metadata synchronized from file";
@@ -431,5 +473,4 @@
 $lang['Move'] = "Move";
 $lang['Name'] = "Name";
-$lang['new'] = "new";
 $lang['New name'] = "New name";
 $lang['New parent album'] = "New parent album";
@@ -437,4 +478,7 @@
 $lang['New photos were added'] = "New photos have been added";
 $lang['New tag'] = "New tag";
+$lang['New Version'] = 'New Version';
+$lang['new'] = "new";
+$lang['No destination tag selected'] = 'No destination tag selected';
 $lang['No display'] = "No display";
 $lang['No file was uploaded'] = 'No file was uploaded';
@@ -458,4 +502,5 @@
 $lang['Number of rates'] = "Number of rates";
 $lang['Number of thumbnails to create'] = "Number of thumbnails to create";
+$lang['Obsolete Plugins'] = 'Obsolete Plugins';
 $lang['on the %d selected photos'] = 'on the %d selected photos';
 $lang['on'] = "on";
@@ -497,18 +542,23 @@
 $lang['Permission granted'] = "Permission granted";
 $lang['Permissions'] = "Permissions";
+$lang['Photo %s of %s'] = 'Photo %s of %s';
+$lang['Photo informations updated'] = "Photo informations updated";
 $lang['Photo Page'] = 'Photo page';
 $lang['Photo Properties'] = 'Photo properties';
+$lang['Photo unreachable or no support'] = "Photo unreachable or unsupported format";
 $lang['photos added in the database'] = "photos added in the database";
 $lang['photos candidates for metadata synchronization'] = "photos candidates for metadata synchronization";
 $lang['photos deleted from the database'] = "photos deleted from the database";
+$lang['Photos generation in progress...'] = 'Photos generation in progress...';
+$lang['photos informations synchronized with files metadata'] = "photos informations synchronized with files metadata";
 $lang['photos per page'] = "photos per page";
 $lang['photos updated in the database'] = "photos updated in the database";
+$lang['photos without thumbnail (jpeg and png only)'] = "photos without thumbnail (jpeg and png only)";
 $lang['Photos'] = "Photos";
-$lang['Photo informations updated'] = "Photo informations updated";
-$lang['Photo unreachable or no support'] = "Photo unreachable or unsupported format";
-$lang['photos without thumbnail (jpeg and png only)'] = "photos without thumbnail (jpeg and png only)";
 $lang['Piwigo Administration'] = "Piwigo Administration";
 $lang['Piwigo Announcements Newsletter'] = "Piwigo Announcement Newsletter";
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo cannot retrieve upgrade file from server';
 $lang['Piwigo configuration'] = "Piwigo configuration";
+$lang['Piwigo Update'] = 'Piwigo Update';
 $lang['Piwigo Uploader'] = 'Piwigo Uploader';
 $lang['Piwigo version differs on the remote site'] = "Piwigo version differs on the remote site";
@@ -516,4 +566,5 @@
 $lang['pixels'] = 'pixels';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = "Please check \"plugins\" folder and sub-folders permissions (CHMOD).";
+$lang['Please wait...'] = 'Please wait...';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.';
 $lang['Plugin has been successfully copied'] = "The plugin has been successfully copied";
@@ -522,10 +573,11 @@
 $lang['Plugins'] = "Plugins";
 $lang['Position'] = "Position";
+$lang['Predefined filter'] = 'Predefined filter';
 $lang['Preferences'] = "Preferences";
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = "The time to prepare the list of users who will be sent mail is limited. Others users are not listed.";
 $lang['Privacy level set to "%s"'] = 'Privacy level set to "%s"';
 $lang['Privacy level'] = "Privacy level";
+$lang['private'] = "private";
 $lang['Private'] = "Private";
-$lang['private'] = "private";
 $lang['Properties'] = "Properties";
 $lang['Public / Private'] = "Public / Private";
@@ -542,6 +594,6 @@
 $lang['randomly represented'] = "random album thumbnail";
 $lang['ranks'] = "ranks";
+$lang['Rate date'] = "Rate date";
 $lang['Rate'] = "Rate";
-$lang['Rate date'] = "Rate date";
 $lang['Rating by guests'] = "Rating by guests";
 $lang['Rating'] = "Rating";
@@ -551,4 +603,6 @@
 $lang['Refresh photo set'] = 'Refresh photo set';
 $lang['Refresh'] = "Refresh";
+$lang['Regenerate Thumbnails'] = 'Regenerate Thumbnails';
+$lang['Regenerate Websize Photos'] = 'Regenerate Websize Photos';
 $lang['registration date'] = "registration date";
 $lang['Reinitialize check integrity'] = "Reinitialize integrity check";
@@ -571,7 +625,8 @@
 $lang['Representative'] = 'Album thumbnail';
 $lang['Represents'] = 'Is thumbnail for';
+$lang['Reset ignored updates'] = 'Reset ignored updates';
 $lang['Resize'] = 'Resize';
+$lang['Restore default configuration. You will lose your plugin settings!'] = "Restore default configuration. You will lose your plugin settings!";
 $lang['Restore'] = "Restore";
-$lang['Restore default configuration. You will lose your plugin settings!'] = "Restore default configuration. You will lose your plugin settings!";
 $lang['Results of miniaturization'] = "Miniaturization process results";
 $lang['Save order'] = "Save order";
@@ -580,16 +635,20 @@
 $lang['Save page visits by users'] = "Record pages visited by users";
 $lang['Save Settings'] = 'Save Settings';
+$lang['Save Template Directory'] = 'Save template directory';
 $lang['Save to permalink history'] = "Save to permalinks history";
+$lang['Search for new images in the directories'] = "Search for new images in the directories";
 $lang['Searching...'] = "Searching...";
-$lang['Search for new images in the directories'] = "Search for new images in the directories";
 $lang['Section'] = "Section";
 $lang['See you soon,'] = "See you soon,";
 $lang['See you soon.'] = "See you soon.";
+$lang['Select an album'] = 'Select an album';
 $lang['Select at least one album'] = "Select at least one album";
 $lang['Select at least one comment'] = 'Select at least one comment';
 $lang['Select at least one photo'] = "Select at least one photo";
 $lang['Select at least one user'] = "Select at least one user";
+$lang['Select at least two tags for merging'] = 'Select at least two tags for merging';
 $lang['Select files'] = 'Select files';
 $lang['Select recipients'] = "Select recipients";
+$lang['Select the destination tag'] = 'Select the destination tag';
 $lang['Select:'] = 'Select:';
 $lang['selection'] = "selection";
@@ -607,4 +666,5 @@
 $lang['set to'] = "set to";
 $lang['Settings'] = 'Settings';
+$lang['show details'] = 'show details';
 $lang['Show info'] = "Show info";
 $lang['Show menubar'] = "Show menubar";
@@ -612,6 +672,8 @@
 $lang['singly represented'] = 'fixed album thumbnail';
 $lang['Site manager'] = "Site manager";
-$lang['Specials'] = "Specials";
+$lang['Some themes and plugins may be not available yet.'] = 'Some themes and plugins may be not available yet.';
+$lang['Some upgrades are available for extensions.'] = 'Some upgrades are available for extensions.';
 $lang['Start pLoader and add your photos.'] = 'Start pLoader and add your photos.';
+$lang['Start Upload'] = 'Start Upload';
 $lang['Statistics'] = "Statistics";
 $lang['Status of user "%s" updated'] = "User \"%s\" status updated";
@@ -634,10 +696,10 @@
 $lang['synchronize files structure with database'] = "synchronize files structure with database";
 $lang['synchronize metadata'] = "synchronize metadata";
+$lang['synchronize'] = "synchronize";
 $lang['Synchronize'] = "Synchronize";
-$lang['synchronize'] = "synchronize";
 $lang['Tag "%s" already exists'] = "Tag \"%s\" already exists";
 $lang['Tag "%s" was added'] = "Tag \"%s\" has been added";
 $lang['Tag selection'] = "Tags selection";
-$lang['Tags'] = "Tags";
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Tags <em>%s</em> merged into tag <em>%s</em>';
 $lang['target'] = "target";
 $lang['Templates configuration has been recorded.'] = "Templates configuration has been recorded.";
@@ -676,4 +738,5 @@
 $lang['the wiki'] = "the wiki";
 $lang['Theme has been successfully installed'] = 'Theme has been successfully installed';
+$lang['Themes which need upgrade'] = 'Themes which need upgrade';
 $lang['Themes'] = "Themes";
 $lang['There is no available subscribers to mail.'] = "There is no subscribers to be notified by mail.";
@@ -681,10 +744,13 @@
 $lang['There is no other plugin available.'] = 'There is no other plugin available.';
 $lang['There is no other theme available.'] = 'There is no other theme available.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'This is a major update, with <a href="%s">new exciting features</a>.';
+$lang['This is a minor update, with only bug corrections.'] = 'This is a minor update, with only bug corrections.';
 $lang['This name is already used by another group.'] = "This name is already used by another group.";
+$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'THIS PLUGIN IS NOW PART OF PIWIGO CORE! UNINSTALL IT NOW!';
 $lang['This site already exists'] = "This site already exists";
 $lang['This theme was not designed to be directly activated'] = 'This theme was not designed to be directly activated';
 $lang['Thumbnail creation'] = "Thumbnail creation";
 $lang['Thumbnail'] = "Thumbnail";
-$lang['Thumbnail'] = 'Thumbnail';
+$lang['Thumbnails generation in progress...'] = 'Thumbnails generation in progress...';
 $lang['Time to send mail is limited. Others mails are skipped.'] = "The time to send mail is limited. Others mails have been skipped.";
 $lang['Time'] = "Time";
@@ -696,8 +762,12 @@
 $lang['Tools'] = "Tools";
 $lang['total time'] = "total time";
+$lang['Two updates are available'] = 'Two updates are available';
 $lang['Type here the author name'] = 'Type here the author name';
 $lang['Type here the title'] = 'Type here the title';
 $lang['Type in a search term'] = "Type in a search term";
 $lang['Unable to check for upgrade.'] = "Unable to check for upgrade.";
+$lang['Unable to dump database.'] = 'Unable to dump database.';
+$lang['Unable to send template directory.'] = 'Unable to send template directory.';
+$lang['Unable to write new local directory.'] = 'Unable to write new local directory.';
 $lang['Uncheck all'] = "Uncheck all";
 $lang['Uninstall'] = "Uninstall";
@@ -711,6 +781,11 @@
 $lang['Unsubscribed'] = "Unsubscribed";
 $lang['Update albums informations'] = "Update albums information";
+$lang['Update All'] = 'Update All';
+$lang['Update Complete'] = 'Update Complete';
+$lang['Update in progress... Please wait.'] = 'Update in progress... Please wait.';
 $lang['Update photos information'] = "Update photos information";
 $lang['update the database from files'] = "update the database with files";
+$lang['Update to Piwigo %s'] = 'Update to Piwigo %s';
+$lang['Updates'] = 'Updates';
 $lang['Upload Photos'] = 'Upload Photos';
 $lang['Upload'] = "Upload";
@@ -746,7 +821,10 @@
 $lang['Virtual Links'] = 'Virtual Links';
 $lang['Visit Gallery'] = 'Visit the gallery';
+$lang['Visit language site'] = 'Visit language site';
 $lang['Visit Piwigo project website'] = 'Visit Piwigo project website';
 $lang['Visit plugin site'] = 'Visit plugin site';
+$lang['Visit theme site'] = 'Visit theme site';
 $lang['Waiting'] = "Pending";
+$lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = 'WARNING! This plugin does not seem to be compatible with this version of Piwigo.';
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = "Warning: subscribing or unsubscribing will send mails to users";
 $lang['Web size photo'] = 'Web size photo';
@@ -757,9 +835,16 @@
 $lang['Who can see this photo?'] = 'Who can see this photo?';
 $lang['width must be a number superior to'] = "width must be a number greater than";
+$lang['Width'] = 'Width';
 $lang['With blank value, gallery title will be used'] = "If blank, the gallery title will be used";
+$lang['With no album'] = 'With no album';
+$lang['With no tag'] = 'With no tag';
+$lang['With no virtual album'] = 'With no virtual album';
 $lang['wrong filename'] = "wrong filename";
 $lang['Year'] = "Year";
 $lang['You are running on development sources, no check possible.'] = "You are running on development sources, no check possible.";
 $lang['You are running the latest version of Piwigo.'] = "You are running Piwigo latest version.";
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).';
 $lang['You cannot delete your account'] = "You cannot delete your account";
 $lang['You cannot move an album in its own sub album'] = "You cannot move an album in its own sub album";
